#pragma once

#include "context/DefaultRequestController.h"
#include "util/simpleobject/AgDate.h"

class FireEventRequestController  : public DefaultRequestController
{

private:
    boost::posix_time::time_duration customExpirationPeriod;
    bool ignoreStorageErrors;

public:
    boost::posix_time::time_duration  getCustomExpirationPeriod();
    void setCustomExpirationPeriod(boost::posix_time::time_duration  customExpirationPeriod);
    bool isIgnoreStorageErrors();
    void setIgnoreStorageErrors(bool ignoreStorageErrors);
    virtual EventPtr process(EventPtr event);


    FireEventRequestController(boost::posix_time::time_duration  customExpirationPeriod);
    FireEventRequestController(bool ignoreStorageErrors);
};
